2015年08月31日

Python3.4.0, matplotlib1.4.3でplot時にエラーが出る

下記のようなエラー。

Traceback (most recent call last):
  File "/usr/local/lib/python3.4/dist-packages/matplotlib/backends/backend_gtk3agg.py", line 69, in on_draw_event
    buf, cairo.FORMAT_ARGB32, width, height)
NotImplementedError: Surface.create_for_data: Not Implemented yet.

If you suspect this is an IPython bug, please report it at:
    https://github.com/ipython/ipython/issues

issueにそれっぽい情報が書いてあった。

I think this is a know issue the release version of pycairo does not implement this function.

(訳 : pycairoのリリースバージョンに当該functionが実装されてないせいじゃないかな。)

結論として、cairocffiを入れると良いらしい。

$ sudo apt-get install libffi-dev
$ sudo pip3 install cairocffi

うちの環境ではこれで動くようになった。